#    Copyright 2015 Mirantis, Inc.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

"""Filtering by release added

Revision ID: 567ac5955ca3
Revises: 4da2da15ec42
Create Date: 2015-05-20 10:51:32.846543

"""

# revision identifiers, used by Alembic.
revision = '567ac5955ca3'
down_revision = '4da2da15ec42'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        'installation_structures',
        sa.Column('is_filtered', sa.Boolean(), nullable=True)
    )
    op.create_index(
        op.f('ix_installation_structures_is_filtered'),
        'installation_structures',
        ['is_filtered'],
        unique=False
    )
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(
        op.f('ix_installation_structures_is_filtered'),
        table_name='installation_structures'
    )
    op.drop_column('installation_structures', 'is_filtered')
    ### end Alembic commands ###
